www.cendio.com

Bug 4912

Summary: Support for Windows Server 2012 R2
Product: ThinLinc Reporter: Peter ├ůstrand <astrand@cendio.se>
Component: | WTS Tools (deprecated)Assignee: Henrik Andersson <hean01@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: samuel@cendio.se
Version: 4.1.0Keywords: relnotes, samuel_tester
Target Milestone: 4.3.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 4552, 5222    
Bug Blocks: 5401    

Description From cendio 2013-11-25 11:00:32
Similar to bug 4552. At some point, we should officially support Windows Server
2012 R2 as a RDP server. See:
http://en.wikipedia.org/wiki/Windows_Server_2012_R2#Windows_Server_2012_R2
------- Comment #1 From cendio 2013-11-26 11:34:15 -------
Our hope is that Microsoft hasn't broken anything new for R2, so that by
solving all the known bugs for 2012 we'll also have full support for R2.

This bug will consist of making a full test of 2012 R2 to see that all features
are working.
------- Comment #3 From cendio 2014-08-29 10:34:39 -------
I have extensivly tested the following without any issues...

- Sound
- TLS, CredSSP
- Local drive redirection
  - C -> S ~14 MB/s (1 GB file transfer)
  - S -> C  ~7 MB/s (1 GB file transfer)
- Printer redirection
- Smartcard Redirection
  - NetID
- Clipboard redirection
  - Primary Clipboard
  - Clipboard
- RDS Session broker

While testing smartcard redirection I found bug #5222.
------- Comment #4 From cendio 2014-09-11 14:29:14 -------
(In reply to comment #3)
> While testing smartcard redirection I found bug #5222.

Now when bug #5222 is solved we can remove the notes about smart card not
beeing supported with Windows Server 2012, added to TAG on bug #4552
------- Comment #5 From cendio 2014-09-11 14:30:41 -------
(In reply to comment #4)
> (In reply to comment #3)
> > While testing smartcard redirection I found bug #5222.
> 
> Now when bug #5222 is solved we can remove the notes about smart card not
> beeing supported with Windows Server 2012, added to TAG on bug #4552

(In reply to comment #4)
> (In reply to comment #3)
> > While testing smartcard redirection I found bug #5222.
> 
> Now when bug #5222 is solved we can remove the notes about smart card not
> beeing supported with Windows Server 2012, added to TAG on bug #4552

Fixed in commit 29347.
------- Comment #6 From cendio 2014-09-25 16:13:49 -------
Documentation changes look good. Closing